@import "primary";

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

.pd-t-b-equal {
    padding: {
        top: 30px;
        bottom: 30px;
    }

}

.pd-l-r-footer {
    padding: {
        left: 100px;
        right: 100px;
    }
}

.pd-l-r-equal {
    padding: {
        left: 30px;
        right: 30px;
    }
}

.ctn-ct-hrt {
    margin: {
        left: auto;
        right: auto;
    }
}

.full-vp,
.w-100,
.col-12 {
    width: 100%;
}

.col-6 {
    width: 50%;
}

.col-8 {
    width: 66.66666%;
}

.col-4 {
    width: 33.33333%;
}

.col-3 {
    width: 20%;
}

.w-50 {
    width: 40%;
}


// top bar = first level bar
.top-bar {
    height: 30px;
    background-color: $ck-font-color;
}

// second level bar
.top-sec-bar {
    // height: 150px;
}

.first-lv-menu {
    display: flex;
    justify-content: space-around;
    align-items: center;
    font-weight: 500;
    font-size: 16px;
    line-height: 26px;

}

.res_mobile_menu {
    display: none;
}

.logo {
    width: 165px;
    height: 60px;
}

#search {
    width: 300px;
    height: 30px;
    border-radius: 40px;
}

#search::placeholder {
    padding-left: 20px;
}

.col-menu * {
    display: inline-block;
    margin: 5px;
}

// second level menu
.sec-lv-menu {
    background-color: $ck-primary-color;
}

.menu {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

    &>* {
        height: 100%;
        list-style-type: none;
        padding: 22px;
    }

    a {
        text-decoration: none;
    }

    span {
        color: white;
        font-weight: 500;
        line-height: 21px;
        font-size: 1.2rem;
    }
}

/// jumbotron
.jumbotron>img {
    height: auto;

}

// new collection
.n-clt-ctn {
    display: flex;
    justify-content: center;
    align-items: center;
}

.n-clt-header {
    font-size: 56px;
    font-weight: 700;
}

// new collection -> preview-2
.preview-2 {
    display: flex;
    flex-wrap: wrap;
}

.pv-2-img>img {
    height: auto;
}

.pv-2-dsc-ctn {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.dsc {
    * {
        text-align: center;
    }

    &>p:nth-child(1) {
        font-size: 36px;
        font-weight: 600;
    }

    &>P:nth-child(2) {
        font-size: 70px;
        font-weight: 700;
    }

    &>p:nth-child(3) {
        font-size: 32px;
        font-weight: 600;
    }
}

.shop-now-wrapper {
    font-size: 18px;
    padding: 10px;
    border: 1px solid black;
    border-radius: 40px;
}

/// new collectoion -> preview-3
.pv-3-cards-ctn {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.img-detail {
    position: relative;
}

.img-detail > img{
    max-width: 100%;
}

.preview-3 .out-of-stock {
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    font-size: 24px;
    background: rgba(94, 94, 94, 0.26);
    border-radius: 12px 12px 0px 0px;
    text-align: center;

    &>p {
        padding: {
            top: 10px;
            bottom: 10px;
        }

        color: white;
    }
}

.detail {
    &>* {
        padding-top: 10px;
        padding-left: 10px;
    }

    .fa-heart {
        font-size: 18px;
        padding-right: 10px;
    }
}

.category-ctn {
    display: flex;
    justify-content: space-between;
    font-size: 12px;

    .category {
        color: #8C8C8C;
    }
}

.name {
    font-weight: 600;
    font-size: 16px;
    line-height: 120%;
}

.price {
    &>span:nth-child(1) {
        font-size: 18px;
        line-height: 28px;
        color: #E10B0B;
    }

    &>span:nth-child(2) {
        transform: rotate(180deg);
    }
}

.shipping-price {
    display: flex;
    justify-content: center;
    align-items: center;

    div {
        border: 1px solid black;
        border-radius: 40px;

        padding: {
            top: 10px;
            bottom: 10px;
            left: 15px;
            right: 15px;
        }
    }
}

.texture {
    display: flex;
    justify-content: flex-start;

    * {
        clip-path: circle(50% at 50% 50%);
    }

    &>* {
        width: 32px;
        height: 32px;
        background-color: #585656;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-left: 5px;
        margin-bottom: 10px;
    }

    &>*::after {
        content: "";
        width: 95%;
        height: 95%;
        background-color: white;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        clip-path: circle(50% at 50% 50%);

    }

    img {
        width: 90%;
        height: 90%;
        position: relative;
        z-index: 20;
    }
}

/// new collection -> shop category section
.shop-category-ctn {
    display: flex;
}

.s-ctr-tt {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    &>p:nth-child(1) {
        font-size: 36px;
        font-weight: 600;
    }

    &>p:nth-child(2) {
        font-size: 68px;
        font-weight: 600;
    }

}

.s-ctr-img-ctn {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;

    &>* {
        padding: 10px;
    }
}

// new collection -> preview-5
.pv-5-tt-ctn {
    padding-bottom: 60px;

    &>p:nth-child(1) {
        font-weight: 600;
        font-size: 30px;
        line-height: 60px;
        text-align: center;
    }

    &>p:nth-child(2) {
        font-size: 18px;
        line-height: 21px;
        text-align: center;
    }
}

.pv-5-img-sl {
    display: flex;
    justify-content: space-between;
    align-items: center;

    img {
        width: 20%;
    }
}

.arr {
    font-size: 32px;
}

.img-sl {
    display: flex;
    justify-content: space-evenly;
}


/// footer menu
.footer-ctn {
    background-color: $ck-footer-color;
}
.res_mobile-footer, .res_mobile-footer-line, .res_mobile-footer-icon{
    display: none;
}
.subsc-ctn {
    display: flex;
    justify-content: space-between;
    align-content: center;
}

.subsc-tt {
    &>p:nth-child(1) {
        font-weight: 500;
        font-size: 16px;
    }

    &>p:nth-child(2) {
        font-weight: 700;
        font-size: 26px;
    }
}

.subsc-reg-email {
    position: relative;

    &>* {
        display: inline-block;
        border-radius: 40px;
    }

    input {
        width: 600px;
        height: 55px;
    }

    #email::placeholder {
        padding-left: 20px;
    }

    .btn-subsc {
        height: 55px;
        background-color: $ck-font-color;
        color: white;
        position: absolute;
        padding: 10px;
        top: 0;
        right: 0;
        display: flex;
        justify-content: center;
        align-items: center;
    }
}

.footer-menu {
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
}

.tt {
    padding-bottom: 10px;
    font-size: 22px;
    font-weight: 600;
}

.footer-menu p {
    font-size: 16px;
    line-height: 25px;
}

.footer-menu a {
    text-decoration: none;
}

.f-us i {
    padding-right: 5px;
}

// bottom footer
.bt-ft-ctn {
    display: flex;
    justify-content: space-between;
    align-content: center;

    p {
        position: relative;
        top: 0;
        right: 0;
        left: 0;
        padding: 1em 0;
        margin: 0;
        text-align: center;
    }
}

@media (max-width: 596px) {
    .res_mobile_menu {
        display: block;
    }

    #search {
        display: none;
    }

    .col-menu> :nth-child(1),
    .col-menu> :nth-child(2) {
        display: none;
    }

    .sec-lv-menu{
        display: none;
    }

   // new collection

    .n-clt-header{
        font-size: calc(56px - 5vw);
    }

    // new collection -> preview-2

    .preview-2{
        flex-direction: column;
    }

    .pv-2-img, .pv-2-dsc-ctn{
        width: 100%;
    }

    .dsc{
        $deduct: 5vw;

        &>p:nth-child(1) {
            font-size: calc(36px - $deduct);
            font-weight: 600;
        }
    
        &>P:nth-child(2) {
            font-size: calc(70px - $deduct);
            font-weight: 700;
        }
    
        &>p:nth-child(3) {
            font-size: calc(32px - $deduct);
            font-weight: 600;
        }
    }

    /// new collection -> preview-3

    .preview-3, {
        overflow: hidden;
    }
    .pv-3-cards-ctn{
        // overflow: hidden;
        justify-content: center;
    }

    .card{
         min-width: 50%;
         margin: 10px;
    }

    .preview-3 .out-of-stock {
        font-size: calc(24px - 3vw);
    }

    ////// shop category 
    .shop-category-ctn{
        flex-direction: column;
    }

    .s-ctr-tt, .s-ctr-img-ctn{
        width: 100%;
        overflow: hidden;
    }

    .s-ctr-img-ctn{
        flex-wrap: nowrap;

        & > img {
            min-width: 50%;
        }
    }

    .s-ctr-tt{
        $deduct: 3vw;
        &>p:nth-child(1) {
            font-size: calc(36px - $deduct);
            font-weight: 600;
        }
    
        &>p:nth-child(2) {
            font-size: calc(68px - $deduct);
            font-weight: 600;
        }
    }

    .s-ctr-img-ctn > img {
        width: 100%;
    }

    // new collection -> preview-5
    .pv-5-img-sl{
        .img-sl{
            overflow: hidden;
        }

        img{
            min-width: 50%;
        }
    }

    // footer 
    .subsc-ctn{
        flex-direction: column;
    }

    .subsc-tt > p {
        display: inline-block;
    }

    .subsc-reg-email{
        input{
            width: 100%;
        }
    }

    .res_mobile-footer, .res_mobile-footer-line, .res_mobile-footer-icon{
        display: block;
    }

    .panel, .f-us{
        display: none;
    }

    .footer-menu{
        flex-direction: column;

        & > *{
            width: 100%;
        }

        .accordion{
            display: flex;
            justify-content: space-between;
        }
    }

    // bottom footer
    .bt-ft-ctn{
        justify-content: center;

        img {
            display: none;
        }
    }

}